### Property

# Gtk Label:ellipsize

#### Declaration

    property ellipsize: Pango.EllipsizeMode [ read, write ]

#### Description [src]

The preferred place to ellipsize the string, if the label does not have enough room to display the entire string.

Note that setting this property to a value other than `PANGO_ELLIPSIZE_NONE` has the side-effect that the label requests only enough space to display the ellipsis “…”. In particular, this means that ellipsizing labels do not work well in notebook tabs, unless the `GtkNotebookPage:tab-expand` child property is set to `TRUE`. Other ways to set a label’s width are gtk_widget_set_size_request() and gtk_label_set_width_chars().

Type: | `PangoEllipsizeMode`

Getter method | `gtk_label_get_ellipsize`
Setter method | `gtk_label_set_ellipsize`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no